// src/lib/service.ts
// Copyright (C) 2026 Robert Colbert <rob.colbert@openplatform.us>
// All Rights Reserved

// import env from "../config/env.js";

import { DtpComponent } from "./component.js";
import { DtpLog } from "./log.js";

export abstract class DtpService implements DtpComponent {
  log: DtpLog;

  abstract get name(): string;
  abstract get slug(): string;

  constructor() {
    this.log = new DtpLog(this);
  }

  abstract start(): Promise<void>;
  abstract stop(): Promise<void>;
}
